package com.ym.mec.education.enums;

import com.ym.mec.common.enums.BaseEnum;

public enum TeachModeEnum implements BaseEnum<String, TeachModeEnum> {
	ONLINE("ONLINE", "线上"), OFFLINE("OFFLINE", "线下");

	private String code;

	private String msg;

	TeachModeEnum(String code, String msg) {
		this.code = code;
		this.msg = msg;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public String getMsg() {
		return msg;
	}

	public void setMsg(String msg) {
		this.msg = msg;
	}

	@Override
	public String getCode() {
		return this.code;
	}
}
